rem gccでコンパイル
rem gcc32_.bat
@rem 内容が古くなっているかもしれないので
@rem その場合は修正して使用して下さい
@echo off
title Ｃソースのコンパイル

if /i %~x1 == .c   (goto compile)
if /i %~x1 == .cpp (goto compile)
if /i %~x1 == .h   (goto compile)
echo エラー
echo Ｃ言語のソースファイルではありません。
goto end


:compile
cd %~p1
echo Ｃのソースファイルをコンパイルします。
echo.

echo ^>カレントディレクトリ
echo %~dp1
echo.

%~d1
cd "%~dp1"

echo ^>コマンド
echo gcc "%~nx1"
echo.

setlocal
rem 次の行をお使いのPCのMinGWのPATHに書き換えてください
path C:\MinGW64\bin
gcc.exe -Wall "%~nx1"
endlocal


:end
echo.
echo.
pause
@rem このスクリプトは著作権者のtytyさんの意向で
@rem NYSLとしています
@rem NYSL Version 0.9982